@use "../../styles/variables/colors.scss";
@use "../../styles/variables/colorsFacebook.scss";

.aside-friends {
  &__title {
    padding-left: 10px;
    font-size: 18px;
    font-weight: 500;
    padding-bottom: 10px;
    padding-top: 5px;
    color: rgb(176, 179, 184);
    user-select: none;
  }
}

.aside-friends-list {
  max-height: calc(50px * 5); /* максимальна висота для списку друзів*/
  overflow-y: auto; /* вертикальний скрол */
  padding-right: 10px; /* щоб скрол не перекривав контент */
  
  &::-webkit-scrollbar {
    width: 12px; /* Ширина скролбару */
  }

  &::-webkit-scrollbar-track {   /* скрол фон і рамка */
    background: colors.$border_input_primary;
    border-radius: 6px;
  }

  &::-webkit-scrollbar-thumb {   /* бігунок скролу фон і рамка для контрасту*/
    background-color: colors.$bg_light-gray;
    border-radius: 6px;
    border: 2px solid colors.$border_input_primary;
  }

  &::-webkit-scrollbar-thumb:hover {   /* ховер для бігунка */
    background-color: colors.$secondary_btn_bg_hover;
  }
 
  &__item {
    border-radius: 10px;

    &:hover {
      background-color: colors.$link_hover;
    }
  }

  &__loading {
    padding-left: 10px;
  }

  &__link {
    display: flex;
    gap: 12px;
    align-items: center;
    color: colors.$white;
    padding: 0 10px;
    line-height: 50px;
    font-size: 15px;
    font-weight: 500;
    position: relative;

    .friend-online {
      position: absolute;
      content: '';
      width: 8px;
      height: 8px;
      left: 32px;
      bottom: 8px;
      background-color: green;
      border-radius: 50%;
      border: 3px solid colors.$bg_brand;
    }
  }

  &__img {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    object-fit: cover;
  }

  // &__name {}
}

.aside-friend-border {
  margin-left: 10px;
  margin-bottom: 20px;
}